capture log close
log using pv_addhealth_self01, replace text

//  program:    pv_addhealth_self01.do
//  task:       Convert Add Health data about self to pvd format
//  project:    PathView Interactive
//  author:     jsl \ 2010-02-06

//  #0
//  program setup

version 11
clear all 
set linesize 80

//  #1
//  load the stata data

* spex icpsr_addhealth3, clear
use icpsr_addhealth3, clear

//  #2
//  Convert from .dta to .pvd; missing data are dropped

codebook goodqual proud likeself doright accepted loved, compact

stata2pvd goodqual proud likeself doright accepted loved ///
    using pv_addhealth_self01, replace ///
    id(caseid) ///
    title("AddHealt Self Qualities variables \ jsl 2010-02-06") ///
    catlabels(STR_DIS DISAGREE NEITHER AGREE STR_AGR) ///
    itemlabels(GOODQUAL PROUD LIKESELF DORIGHT ACCEPTED LOVED) ///
    sort(_all)

log close
exit  
