capture log close
log using pv_addhealth_self02, replace text

//  program:    pv_addhealth_self01.do
//  task:       Merge pve file with Stata datasset and analyze
//  project:    PathView Interactive
//  author:     jsl \ 2010-02-06

//  #0
//  program setup

version 11
clear all 
set linesize 80

//  #1
//  load selection file

* double since id is a large number
insheet using pv_addhealth_self.pve, comma double 
* make id string variable to match source dataset
gen caseid = string(id,"%9.0f") // 9 column ID number
drop id
* label and name selection variables
rename sel1 highself
label var highself "Positive self image?"
label def highself 0 0_Not 1 1_Positive
label val highself highself
* sort and save temporary file
sort caseid
compress
codebook , compact
save x-tempsel, replace

//  #2
//  load source data and merge

* spex icpsr_addhealth3, clear
use icpsr_addhealth3, clear
merge 1:1 caseid using x-tempsel

//  #3
//  model highself

codebook highself age male hispanic nhblack nhasian, compact
logit highself age male hispanic nhblack nhasian, or

log close
exit  
