run stata2pvd.ado

capture log close
log using pv_gss_friends01, replace text

//  program:    pv_gss_friends01.do
//  task:       Convert GSS data on friend's characteristics to .pvd format
//  project:    PathView Interactive data extraction program
//  author:     jsl \ 2010-02-05

//  #0
//  program setup

version 11
clear all 
set linesize 80

//  #1
//  load the stata data

* spex icpsr_gss3, clear
use icpsr_gss3, clear

//  #2
//  Convert from .dta to .pvd; missing data are dropped

local items "frdcreat frdcultr frddynam frdfun frdhonst frdintel frdresp"
local itlbl "CREATIVE CULTURED DYNAMIC FUN_LOVING HONEST SMART RESPONSIBLE"
nmlab `items'
sum `items'

stata2pvd `items' using pv_gss_friends01, replace ///
  id(id) ///
  title("GSS Friends data \ jsl 2010-02-05") ///
  catlabels(1_NotAtAll 2_NotToo 3_Fairly 4_Very 5_Extrmly) ///
  itemlabels(`itlbl') ///
  sort(_all)

log close
exit  
