{smcl}
{* 11Oct2009}{...}
{cmd:help pvdata}: Help for constructing data for {cmd:pvplot} - 2009-10-11
{hline}
{p2colset 4 14 14 2}{...}

{title:Overview}

{p 5 5 2 75}
The command {cmd:pvdata} creates data appropriate for plotting with 
{cmd:pvplot}.

{title:Syntax}

{p 5 13 2}
{cmd:pvdata} {it:varlist}
[{cmd:,} {it:options}]

{synoptset 15 tabbed}{...}
{synopthdr}
{synoptline}

{synopt:{opt id:(varname)}}Name of id variable in source dataset.{p_end}

{synopt:{opt auto:order(#)}}Arrange items to be plotted from left to right
in the order that corresponds to percent in this category.{p_end}

{synopt:{opt nos:ort}}Do not sort items from first item to last item.{p_end}

{synopt:{opt des:cending}}Sort in descending order.{p_end}

{synopt:{opt sortv:ars(sortlist)}}Sort on these variables; if not specified, 
sort using {it:varlist}.{p_end}

{synopt:{opt colorv:ars(sortlist)}}Variables used for determining colors.{p_end}

{synopt:{opt m:ethod(stacked | uniform)}}If {it:stacked} (default), 
create offsets to stack the paths on top of each other; if {it:uniform}, make
offsets such that paths from categories with the same value for a given 
id will be horizontal.{p_end}

{synopt:{opt sample:(0-100)}}Sample this percent of cases; used with testing or
for large datasets.{p_end}

{synopt:{opt otherv:ars(othernames)}}Other variables to keep in dataset; these
variables do not need to be part of the plot.{p_end}

{synopt:{opt debug:}}Run in test mode for debugging.{p_end}

{synopt:{opt oldsort:}}To be documented....{p_end}

************************************
*option here to save the data--SLR
************************************

{synoptline}

{title:Discussion}

{p 2 2}
The dataset created by {cmd:pvdata} includes categorical variables to be plotted
with {cmd:pvplot}. Variables to be plotted are called {bf:items}. Each item must
have categorical values, referrred to as {bf:categories}. Categories must be
sequential with all categories being observed values in the dataset. For example,
if the minimum category is 1 and the maximum is 5, at least one item must
include cases for each category 1, 2, 3, 4, and 5.

{p 2 2}
You must specify the K {it:item-variables} and can optionally specify an 
{it:id-variable}, variables used to sort the data, and other variables. 
The dataset created by {cmd:pvdata} has K-1 rows for each observation in the 
source dataset. For a given observation from the source dataset, each row in the
dataset constructed by {cmd:pvdata} has information on a line segment
from item k to k-1. For example, with four items, the first row for
an observation will define the line segment from item 1 to item 2; the
second from item 2 to item 3; the third from item 3 to item 4.

{p 2 2}
The output dataset will include item-variables, an id-variable, sort-variables,
and other variables, with each item duplicated in each row of the dataset. 
For example, suppose the source data has an id and three items with three 
categories. For id=1:

    1  1  3  2

{p 2 2}
the {cmd:pvdata} dataset will include this information K-1 times:

    1  1  3  2
    1  1  3  2
    1  1  3  2

{p 2 2}
This data is not necessary for plotting, but could be used for supplementary
analyses. <unclear!>

{p 2 2}
The {cmd:pvplot} command plots line segments corresponding to the
coordinate (itemST,catST) to the coordinate (itemEN,catEN). These coordinates
are located in these variables:

{synoptset 15 tabbed}{...}

{synopt:{opt itemSTx:}}The x-coordinate for the starting point.{p_end}

{synopt:{opt catSTy:}}The base y-coordinate for the starting point.{p_end}
          
{synopt:{opt itemENx:}}The x-coordinate for the ending point.{p_end}

{synopt:{opt catENy:}}The base y-coordinate for the ending point.{p_end}

{p 2 2}
The base y-coordinates are offset by the amounts contained in:

{synopt:{opt catSTyoff:}}Offset for starting y-coordinate.{p_end}

{synopt:{opt catENyoff:}}Offset for ending y-coordinate.{p_end}

{p 2 2}
The variables created by {cmd:pvdata} for plotting are:

{synopt:{opt _pvrownum:}}This PV id number is 1 for the first observation from the
sorted source data, 2 for the second, and so on.{p_end}

{synopt:{opt _pvsortorder:}}This indicates the order of the data 
in the {cmd:pvdata} dataset, ranging from 1 to (K-1)*N. This variable can 
be used if you sort the dataset created by {cmd:pvdata} and want 
to restore the data to the original order. This is not likely to be used
often.{p_end}

In addition to variables, {cmd:pvdata} sets the value of a global:

{synopt:{opt pvmod:}}0 if new data; existing PVStata globals are reset;
1 if existing PVStata graph is being modified using other globals.{p_end}
INCLUDE help pv_footer
