{smcl}
{* 11Oct2009}{...}
{cmd:help pvplot}: Help for plotting paths with {cmd:pvplot} - 2009-10-11
{hline}
{p2colset 4 14 14 2}{...}

{title:Overview}

{p 5 5 2 75}
The command {cmd:pvplot} creates a modified parallel coordinates graph with
data created with {cmd:pvdata} with selections made by {cmd:pvsel}. You can 
use {cmd:pvp} as an abbreviation for {cmd:pvplot}.

{title:Syntax}

{p 5 13 2}
{cmd:pvplot} {it:varlist}
[{cmd:,} {it:options}]
*****************************************************************************
*SLR: cannot use a varlist with pvplot
*****************************************************************************


{synoptset 15 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:{it:Interactive}}

{synopt:{opt q:uietly}}Do not show graph, only change options for next graph.{p_end}

{synopt:{opt expa:dd}}Add a counter to the last name of the export
    file which allows you to generate new graphs without having to change 
    the name of the export file when working interactively.{p_end}

{synopt:{opt r:eset}}Build the plot from scratch by resetting all options
    options rather than using prior options. When you do not turn off 
    interactive mode, options from the last graph are used unless you 
    specify them again. To remove an option that was set before, you 
    can drop it such as {cmd:pvdata, hidecolor(drop)}.{p_end}

{syntab:{it:Colors}}

{synopt:{opt colv:ar(varname)}}Colors vary by categories of this variable
By default, the colors are: red green blue cyan magenta yellow. Other
shortcuts for specifying colors are as follows. 
{bf}colv(2cat){sf} for red blue.
{bf}colv(3cat){sf} for red blue green.
{bf}colv(4cat){sf} for red blue green gold.
{bf}colv(5cat){sf} for red blue green gold purple.
{bf}colv(bw){sf} for __to be added__.{p_end}

{synopt:{opt col:ors(colornames)}}Colors used by {it:colvar}.{p_end}

{synopt:{opt coli:ntensity(values)}}Intensities from 0 to 1 corresponding to colors.

{synopt:{opt colr:ange(min max)}}Minimuim and maximum values of {it:colvar}.
This is only needed if colvar has gaps.{p_end}

{synopt:{opt intv:ar(intname)}}Intensity varies by categories of 
this variable.{p_end}

{synopt:{opt int:ensity(values)}}Intensities from 0 to 1 
corresponding to categories of the variable specified by {cmd:intvar}.{p_end}

{synopt:{opt intr:ange(min max)}}Minimuim and maximum values of {cmd:intvar}.
This is only needed if {cmd:intvar} has gaps.{p_end}

{syntab:{it:Show and hide paths}}

{synopt:{opt showif:(if-condition)}}Show lines if this condition holds;
otherwise lines are drawn with {bf:hidecolor}.{p_end}

{synopt:{opt hideif:(if-condition)}}Hide lines if this condition 
holds using {bf:hidecolor}; otherwise lines are shown.{p_end}

{synopt:{opt hidec:olor(color)}}Color for hidden lines; use white to not show.{p_end}

{synopt:{opt hideint:ensity(value)}}Intensity of hidden lines.{p_end}

{syntab:{it:Grids, labels and borders}}

{synopt:{opt angle:}}Put labels on an angle.{p_end}

{synopt:{opt cap:tion(text)}}Caption using standard Stata options.{p_end}

{synopt:{opt ti:tle(text)}}Title using standard Stata options.{p_end}

{synopt:{opt sub:title(text)}}Subtitle using standard Stata options.{p_end}

{synopt:{opt note:(text)}}Note using standard Stata options.{p_end}

{synopt:{opt gridc:olor(color)}}Color of grid lines.{p_end}

{synopt:{opt gridw:idth(#)}}Width of grid line; .3 is default.{p_end}

{synopt:{opt gridyw:idth(#)}}Width of vertical grid line; .2 is default.{p_end}

{synopt:{opt grids:pace(#)}}Space from grid to paths as integer; default 10.{p_end}

{synopt:{opt border:}}Add shading around graph.{p_end}

{synopt:{opt ylaboff:set(#)}}Add offet to y-label; default is .25.{p_end}

{synopt:{opt labels:ize(string)}}Size of axes labels: tiny vsmall small medsmall
medium medlarge large vlarge.{p_end}

{synopt:{opt aspect:ratio(#)}}Aspect ratio of graph; default is 1.{p_end}

{syntab:{it:Control of paths}}

{synopt:{opt pathw:idth(#)}}Line width of paths; default is .01.{p_end}

{synopt:{opt d:elta(#)}}Size of offset between lines.{p_end}

{syntab:{it:Other options}}

{synopt:{opt opt:ions(string)}}These options are sent to Stata's graph command.{p_end}

{synopt:{opt ex:port(string)}}Name of export file with suffix png for PNG, etc.{p_end}

{synopt:{opt sample:(0-100)}}Sample this percent of cases.{p_end}

{synoptline}

{title:How colors are controlled}

{p 2 2}
Colors are controlled by: (1) the {bf:hue} and (2) the {bf:intensity}.
The hue is indicated by names such as red (see {help colorstyle}). The
intensity is a number from 0 to 1 for lighter to darker numbers.
Hue and intensity can be controlled with in several ways.

{p 2 2}
You can control hue and intensity with the options:

{p 6 6}
{cmd:cvar()} to specify the name of the variable whose categories 
determine the color of a path.

{p 6 6}
{cmd:colors()} controls which colors are used for which categories.

{p 6 6}
{cmd:colintensity()} specifies the intensity for each color.

{p 2 2}
For example:

{bf:     pvplot , ///}
{bf:       colv(sdneighb) colors(red blue orange green)}

{p 2 2}
or:

{bf:     pvplot , ///}
{bf:       colv(sdneighb) colors(red blue orange green) ///}
{bf:       colintensity(.1 .1 1 1)}

{p 2 2}
Intensity can also by controlled by a variable. For example, here
colors are controled by the first item and intensity by the last item:

{bf:     pvplot , ///}
{bf:       colv(sdneighb) colors(red blue orange green) ///}
{bf:       int(.25 .5 .75 1) intvar(sdmarry)}

{p 2 2}
You can also control the color by a variable that is not being graphed:

{bf:     pvplot , ///}
{bf:       colv(nokids) colors(orange green)}

{p 2 2}
Or, let color be controlled by an item and intensity by another variable:

{bf:     pvplot , ///}
{bf:       colv(sdneighb) colors(red blue orange green) ///}
{bf:       intv(nokids) intensity(.25 1)}

{p 2 2}
If you specify intensity both with {cmd:colintensity} and
{cmd:intensity}, the intensity of a path is a product of the intensity
from {it:colvar} and {it:intvar}.

{p 2 2}
Intensities can also be set with decimal digits from 0 to 1. Or, you
can use the text string {bf:hi} to indicate 1, {bf:med} for .6, 
{bf:low} or {bf:lo} for .2.

{title:Interactive mode}

{p 2 2}
Interactive mode makes it simpler to modify an existing graph. To understand
how this works, consider an example. Suppose you create a graph with the
command:

{bf:     pvplot , ///}
{bf:       colv(sdneighb) colors(red blue orange green) ///}
{bf:       gridspace(3) aspect(1) ///}
{bf:       title("my interactive example", size(small)) ///}
{bf:       caption(Source: mypgm.do - 2008-01-27,size(vsmall)) ///}
{bf:       export("mypgmA.png, replace width(1000)")}

{p 2 2}
I want another graph with different colors exported to a different file. I
do not need to specify the other options. Instead I can use:

{bf:     pvplot , ///}
{bf:       colors(pink blue orange green) ///}
{bf:       export("mypgmB.png, replace width(1000)")}

{p 2 2}
The {cmd:pvplot} command uses all prior options that have not been explicitly
changed.

{p 2 2}
Interactive model can be canceled with the {bf:intoff} option. For example,

{bf:     pvplot , intoff ///}
{bf:       colors(pink blue orange green) ///}
{bf:       export("mypgmC.png, replace width(1000)")}

{p 2 2}
Since interactive mode is off, the title and captions defined earlier are
not used in this graph.

{p 2 2}
The global that controls interactive mode is called {bf:pvinteractive} which
equals 1 if you are interative mode, else 0.
INCLUDE help pv_footer

